curl --request GET \
--url https://api.example.com/api/settings{
"has_anthropic": true,
"has_openai": true,
"has_ollama": true,
"default_model": "<string>"
}Retrieve current AI provider configuration without exposing secret keys
curl --request GET \
--url https://api.example.com/api/settings{
"has_anthropic": true,
"has_openai": true,
"has_ollama": true,
"default_model": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/iamngoni/heimdall/llms.txt
Use this file to discover all available pages before exploring further.
claude-sonnet-4-20250514, gpt-4o-mini)curl -X GET https://api.heimdall.dev/api/settings \
-H "Authorization: Bearer YOUR_TOKEN"
{
"status": "ok",
"data": {
"has_anthropic": true,
"has_openai": false,
"has_ollama": true,
"default_model": "claude-sonnet-4-20250514"
}
}
src/routes/settings.rs:228 for the endpoint implementation.